<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <link rel ="Stylesheet"  href = "Style.css" />
    <script type = "text/javascript" >
        var xmlhttp;
        function ReloadData(url)
        {
            xmlhttp=null;
            if (window.XMLHttpRequest)
            {// code for all new browsers
                xmlhttp=new XMLHttpRequest();
            }
            else if (window.ActiveXObject)
            {// code for IE5 and IE6
                xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
            }
            if (xmlhttp!=null)
            {
                xmlhttp.onreadystatechange=state_Change;
                xmlhttp.open("GET",url,true);
                xmlhttp.send(null);
            }
            else
            {
                alert("Your browser does not support XMLHTTP.");
            }
        } 
        
        function state_Change()
        {
            if (xmlhttp.readyState==4)
            {// 4 = "loaded"
            if (xmlhttp.status==200)
            {// 200 = OK
               ParseXML(xmlhttp.responseXML.documentElement);
            }
            else
            {
                alert("Problem retrieving XML data");
            }
          }
         
        }
 function ParseXML(xml)
{
  
    if (xml!=null)
    {
   
       var Error = xml.getElementsByTagName('ERROR')[0];
       
       if (Error == null || GetNodeData(Error) == "False")
       {
             //alert(Grid);
            var Pager = xml.getElementsByTagName('PAGER')[0];
            var Grid = xml.getElementsByTagName('GRID')[0];
            if (Grid != null && Pager!= null)
            {
                //alert(Grid);
                document.getElementById ("dvContent").innerHTML = GetNodeData(Grid);
                document.getElementById ("dvPager").innerHTML = GetNodeData(Pager);

            }
     }
     else
     {
       document.getElementById ("lblError").innerText = GetNodeData(Error);
     }
    }
}
        function GetNodeData(node)
        {
            return (node.textContent || node.innerText || node.text) ;
        }
function PopulateDropDown()
{
    var tblHeader = document.getElementById("tblHeader"); 
    var ddlSort = document.getElementById("ddlSort"); 
    var tblCells = tblHeader.getElementsByTagName("TD");
    for (var i=0; i<tblCells.length;i++)
    {
        var opt = document.createElement("option");
        ddlSort.options.add(opt);
        opt.text = tblCells[i].innerHTML;
        opt.value = i;
    }
}
function PrepareRequest(Page, PageSet)
{
    var ddlSort = document.getElementById("ddlSort");
    var ddlSortOrder = document.getElementById("ddlSortOrder");
    if (ddlSort.options[ddlSort.selectedIndex].value == "")
    {
        ddlSortOrder.options[0].selected = true;
        ddlSortOrder.disabled = true;
    }
    else
    {
        ddlSortOrder.disabled = false;
    }
    var url = "Default.aspx?SortBy=" + ddlSort.options[ddlSort.selectedIndex].value + "&SortOrder=" + ddlSortOrder.options[ddlSortOrder.selectedIndex].value + "&Page=" + Page + "&PageSet=" + PageSet;

   ReloadData(url);
}
    </script>
</head>
<body onload = "PopulateDropDown()">
    <form id="form1" runat="server">
    <span id = "lblError" runat = "server" style =" color:Red; font-size :medium " >&nbsp;</span>
    <div>
        <table>
            <tr>
                <td>
                    <span  style =" font-family:Verdana ; font-size :12px ">Sort Category</span>
                </td>
                <td>&nbsp;&nbsp;&nbsp;</td>
                <td>
                    <select id = "ddlSort" name = "ddlSort" onchange = "PrepareRequest(1, 1)">
                        <option value = "">No Sort</option> 
                    </select> 
                </td>
                <td>&nbsp;&nbsp;&nbsp;</td>
                <td>
                    <span  style =" font-family:Verdana ; font-size :12px ">Sort Category</span>
                </td>
                <td>&nbsp;&nbsp;&nbsp;</td>
                <td>
                    <select id = "ddlSortOrder" disabled = "disabled" name = "ddlSortOrder" onchange = "PrepareRequest(1, 1)">
                        <option value = "ASC">Ascending</option> 
                        <option value = "DESC">Descending</option> 
                    </select> 
                </td>
                
            </tr>
        </table> 
    </div>
    <br />
   <div id = "dvHeader">
        <table id = 'tblHeader' cellpadding = "0" cellspacing = "0"   width = '800px'>
        <tr class = 'header'>
            <td class = "headercell">Customer ID</td>
            <td class = "headercell">Company Name</td>
            <td class = "headercell">Contact Name</td>
            <td class = "headercell">Contact Title</td>
            <td class = "headercell">City</td>
        </tr>
        </table>
   </div>
   <div id = "dvContent" runat ="server" >
        <table id = 'tblContent' cellpadding = "0" cellspacing = "0" border = "0"  width = '800px'>
        <tr class = 'rowstyle'>
            <td style="height: 18px">&nbsp;</td>
        </tr>
        <tr class = 'alternatingrowstyle'>
            <td>&nbsp;</td>
        </tr>
        <tr class = 'rowstyle'>
            <td>&nbsp;</td>
        </tr>
        </table>
    </div>
    <div id = "dvPager" runat = "server" style =" text-align:right; width:800px" >
    </div>
    </form>
    
</body>
</html>
